<?php 
/*
* @packge Kewi Extra
* @since 1.0.0
 */
function kewi_import() { 
  return array(
  
    array(
      'import_file_name'             => __('Main Demo','kewi-extra'),
      'page_title'                   => __('Import Demo Data','kewi-extra'),
      'local_import_file'            => KEWI_EXTRA_ROOT_PATH.'/demo/demo-data.xml',
      'local_import_widget_file'     => KEWI_EXTRA_ROOT_PATH.'/demo/widget.wie',
      'local_import_customizer_file' =>  KEWI_EXTRA_ROOT_PATH.'/demo/kewi-customizer.dat',
	  'import_preview_image_url'     => 'https://themedox.com/kewi/wp-content/uploads/2023/07/kewi.png',
      'import_notice'                => __( 'This import maybe finish on 2-3 minutes', 'kewi-extra' ),
	  'preview_url'                  => 'https://themedox.com/kewi',

  ),    
  

);
}
add_filter( 'pt-ocdi/import_files', 'kewi_import' );


add_action( 'pt-ocdi/after_import',  'kewi_after_import' );

if(!function_exists( 'kewi_after_import')):
function kewi_after_import($selected_import) {
	
if ( 'Demo' === $selected_import['import_file_name'] ) {

	$main_menu = get_term_by('name', 'Main Nav', 'nav_menu');

    set_theme_mod( 'nav_menu_locations', array(
        'primary' => $main_menu->term_id,
     ) );

	//Set Front page

	$front_page_id = get_page_by_title( 'Home One' );
	$blog_page_id  = get_page_by_title( 'Blog' );

	update_option( 'show_on_front', 'page' );
	update_option( 'page_on_front', $front_page_id->ID );
	update_option( 'page_for_posts', $blog_page_id->ID );
	
}}
endif;
