<?php 

/**
 * All Elementor widget init
 * @package Minerva
 * @since 1.0.0
 */

function register_kewi_widgets ( $widgets_manager ) {

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/class-animated-text-elementor-widget.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/class-blog-slider-main-elementor-widget.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/class-post-block-item-elementor-widget.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/class-post-block-item-grid-elementor-widget.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/class-post-creative-list-elementor-widget.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/class-section-title-elementor-widget.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/class-slider-main-elementor-widget.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-slider-one.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-about-section.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-brand-carousel.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-services-section.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-counter-section.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-animated-text.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-testimonials-section.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/theme-accordion.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/theme-video-box.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-blog-column.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-two-banner.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-two-services-section.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-two-about-section.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/theme-video-full-two.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-two-brand.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-team-section.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-three-banner.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-timeline-section.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-animated-text-two.php' );
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-services-creative.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-testimonials-three.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-counter-two.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-pricing-section.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-brand-color.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/portfoilo-filter.php' );
	
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-projects-one.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-what-we-do-section.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-skill-about-section.php' );
	
	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/project-slider.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-testimonials-project.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-contact-infos.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-service-list.php' );

	require_once( KEWI_EXTRA_ELEMENTOR . '/widgets/home-testimonials-two.php' );
	
	
	

	$widgets_manager->register( new \kewi_animated_text() );
	$widgets_manager->register( new \kewi_post_block_slider() );
	$widgets_manager->register( new \kewi_post_block_item() );
	$widgets_manager->register( new \kewi_post_block_item_grid() );
	$widgets_manager->register( new \kewi_post_creative_list() );
	$widgets_manager->register( new \Kewi_Heading_Title_Widget() );
	$widgets_manager->register( new \kewi_post_slider_main() );

	$widgets_manager->register( new \theme_home_slide_one() );
	$widgets_manager->register( new \theme_home_about_one() );
	$widgets_manager->register( new \theme_home_brand_slider() );
	$widgets_manager->register( new \theme_home_services_one() );
	$widgets_manager->register( new \theme_home_counter_one() );
	$widgets_manager->register( new \theme_home_animated_text() );
	$widgets_manager->register( new \theme_home_testimonials_one() );
	
	$widgets_manager->register( new \theme_accordion_section() );
	$widgets_manager->register( new \theme_video_box() );

	$widgets_manager->register( new \theme_home_blog_grid() );
	$widgets_manager->register( new \theme_home_banner_two() );
	$widgets_manager->register( new \theme_home_services_two() );
	$widgets_manager->register( new \theme_home_about_two() );
	$widgets_manager->register( new \theme_video_box_two() );
	$widgets_manager->register( new \theme_home_two_brand() );
	
	$widgets_manager->register( new \theme_home_team() );

	$widgets_manager->register( new \theme_home_banner_three() );
	$widgets_manager->register( new \theme_home_timeline() );
	$widgets_manager->register( new \theme_home_animated_text_two() );

	$widgets_manager->register( new \theme_home_services_creative() );

	$widgets_manager->register( new \theme_home_testimonials_three() );

	$widgets_manager->register( new \theme_home_counter_two() );

	$widgets_manager->register( new \theme_home_pricing() );
	
	$widgets_manager->register( new \theme_home_brand_color() );

	$widgets_manager->register( new \theme_portfolio_filter() );

	$widgets_manager->register( new \theme_home_projects_one() );
	
	$widgets_manager->register( new \theme_home_what_we_do() );
				
	$widgets_manager->register( new \theme_home_skill_about() );

	$widgets_manager->register( new \theme_home_slider_project() );

	$widgets_manager->register( new \theme_home_testimonials_project() );

	$widgets_manager->register( new \theme_home_contact_info() );

	$widgets_manager->register( new \theme_service_list() );

	$widgets_manager->register( new \theme_home_testimonials_two() );
	
	
	


}

add_action( 'elementor/widgets/register', 'register_kewi_widgets' );



/**
 * Kewi Elementor _widget_categories()
 * @since 1.0.0
 * */


function kewi_elementor_widget_categories($elements_manager) {

    $elements_manager->add_category(
        'kewi_widgets',
        [
            'title' => __('Kewi Widgets', 'kewi-extra'),
        ]
    );

}

add_action('elementor/elements/categories_registered', 'kewi_elementor_widget_categories');